### Method

# EDataCal DataCalView component_matches

since: 3.4

#### Declaration [src]

    gboolean
    e_data_cal_view_component_matches (
      EDataCalView* view,
      ECalComponent* component
    )

#### Description [src]

Compares the given `component` to the regular expression used for the given view.

Available since: 3.4

#### Parameters

`component`

  Type: `ECalComponent`

  The `ECalComponent` object to match.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the object matches the expression, FALSE if not.